# $Revision: 1.30 $, $Date: 2009/12/02 10:06:22 $
# TODO
#	- lighttpd config file (and webapp trigger)
#	- create netmrg user/group to run as (or use stats)
#	- cron/standalone subpackages, split webapp from gatherer
#	- logrotate file
Summary:	Network Monitoring package using PHP, MySQL, and RRDtool
Summary(pl.UTF-8):	Monitor sieci używający PHP, MySQL i RRDtool
Name:		netmrg
Version:	0.20
Release:	2
License:	MIT
Group:		Applications/Networking
Source0:	http://www.netmrg.net/download/release/%{name}-%{version}.tar.gz
# Source0-md5:	47bec3b8a4d3a5c06c70925ee8d280be
Source1:	%{name}-httpd.conf
Source2:	%{name}-cron
Patch0:		%{name}-config.patch
Patch1:		%{name}-bashizm.patch
URL:		http://www.netmrg.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libxml2-devel
BuildRequires:	mysql-devel
BuildRequires:	net-snmp-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	rrdtool-devel >= 1.2.10
Requires:	libxml2
Requires:	php(mysql)
Requires:	php(session)
Requires:	php-common >= 3:4.1
Requires:	rrdtool >= 1.2.10
Requires:	webserver
Requires:	webserver(php)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir			%{_datadir}/%{name}
%define		_pkglibdir		/var/lib/%{name}
%define		_webapps		/etc/webapps
%define		_webapp			%{name}
%define		_sysconfdir		%{_webapps}/%{_webapp}

%description
NetMRG is a tool for network monitoring, reporting, and graphing.
Based on RRDTOOL, the best of open source graphing systems, NetMRG is
capable of creating graphs of any parameter of your network.

%description -l pl.UTF-8
NetMRG służy do monitorowania sieci, raportowania i kreślenia
wykresów. Jest on oparty na RRDTOOL, najlepszym spośród systemów
graficznych o dostępnym kodzie źródłowym. NetMRG potrafi tworzyć
wykresy przedstawiające dowolne parametry sieci.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
install /usr/share/automake/config.* .
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-snmp-lib-dir=%{_libdir} \
	--with-www-dir=%{_appdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/cron.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install www/include/config_site-dist.php $RPM_BUILD_ROOT%{_sysconfdir}/config_site.php
ln -s %{_sysconfdir}/config_site.php $RPM_BUILD_ROOT%{_appdir}/include
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
install %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.d/%{name}
rm -rf $RPM_BUILD_ROOT{%{_sysconfdir}/netmrg.conf,%{_bindir}/rrdedit,%{_appdir}/{contrib,db}}
:> $RPM_BUILD_ROOT/var/log/%{name}/lastrun.err
:> $RPM_BUILD_ROOT/var/log/%{name}/lastrun.log
:> $RPM_BUILD_ROOT/var/log/%{name}/runtime
install -d $RPM_BUILD_ROOT/var/run/netmrg

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerpostun -- netmrg < 0.20
# rescue app config from old location (with old paths, but good MySQL password)
if [ -f /etc/netmrg.xml.rpmsave ]; then
	mv -f %{_sysconfdir}/netmrg.xml{,.rpmnew}
	mv -f /etc/netmrg.xml.rpmsave %{_sysconfdir}/netmrg.xml
fi

# nuke very-old config location (this mostly for Ra)
if [ -f /etc/httpd/httpd.conf ]; then
	sed -i -e "/^Include.*%{name}.conf/d" /etc/httpd/httpd.conf
	httpd_reload=1
fi

# migrate from httpd (apache2) config dir
if [ -f /etc/httpd/%{name}.conf.rpmsave ]; then
	mv -f %{_sysconfdir}/httpd.conf{,.rpmnew}
	mv -f /etc/httpd/%{name}.conf.rpmsave %{_sysconfdir}/httpd.conf
	httpd_reload=1
fi
if [ -f /etc/httpd/httpd.conf/99_%{name}.conf ]; then
	mv -f %{_sysconfdir}/httpd.conf{,.rpmnew}
	mv -f /etc/httpd/httpd.conf/99_%{name}.conf %{_sysconfdir}/httpd.conf
fi

if [ -d /etc/httpd/webapps.d ]; then
	/usr/sbin/webapp register httpd %{_webapp}
	httpd_reload=1
fi

[ -n "$httpd_reload" ] && %service -q httpd reload

%post
%service crond restart

if [ "$1" = 1 ]; then
	%banner -e %{name} << EOF
	You must create MySQL database for NetMRG. Running these should be fine in most cases:
	mysqladmin create netmrg
	zcat %{_docdir}/%{name}-%{version}/netmrg.mysql.gz | mysql -u mysql -p netmrg
	mysql -u mysql -p
> grant all on netmrg.* to netmrguser@localhost identified by 'netmrgpass';
EOF
fi

%files
%defattr(644,root,root,755)
%doc bin/rrdedit contrib etc/init.d-netmrg libexec/linuxload.sh libexec/snmpdiff.sh
%doc share/doc/html share/doc/txt/netmrg.txt share/doc/ChangeLog share/doc/TODO share/doc/VERSION share/doc/netmrg.sgml share/doc/rrdworld.xml
%doc share/netmrg.mysql README RELEASE-NOTES UPGRADE
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/cron.d/%{name}
%attr(750,root,http) %dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.conf
%attr(644,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/config_site.php
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/netmrg.xml
%attr(755,root,root) %{_bindir}/netmrg-gatherer
%{_appdir}
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*
%dir %{_pkglibdir}
%attr(770,root,http) %dir %{_pkglibdir}/rrd
%attr(660,root,http) %{_pkglibdir}/rrd/*
%attr(770,root,http) %dir /var/log/netmrg
%attr(660,root,http) %verify(not md5 mtime size) /var/log/netmrg/*
%attr(770,root,http) %dir /var/run/%{name}
%{_mandir}/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: netmrg.spec,v $
Revision 1.30  2009/12/02 10:06:22  glen
- R: session; http://lists.pld-linux.org/mailman/pipermail/pld-devel-en/2009-December/021307.html; rel 2

Revision 1.29  2008/09/24 15:10:18  gotar
- one more todo and note on stats user

Revision 1.28  2008/09/24 15:04:42  glen
- likely needs php webserver module too

Revision 1.27  2008/09/24 15:04:19  glen
- php version dep

Revision 1.26  2008/09/24 14:44:53  gotar
- can be run with php >= 4.1, so use /usr/bin/php from php4?-program

Revision 1.25  2008/09/23 20:23:14  gotar
- subdir for lockfile writable by http user (to be changed to netmrg as well)

Revision 1.24  2008/09/23 19:54:01  gotar
- md5...

Revision 1.23  2008/09/23 19:52:54  gotar
- added trigger for upgrade (omg, this is awful)
- complemented previous commit log

Revision 1.22  2008/09/23 19:08:19  gotar
- upgraded to 0.20,
- added missing BRs and TODOs, use %%banner
- better /var/*/** permissions
- repackaged files (FHS compliance, PLD policy)
- switched to webapps

Revision 1.21  2008/04/07 20:41:32  dzeus
- fixed perms

Revision 1.20  2007-11-20 01:15:00  glen
- rel 3

Revision 1.19  2007-02-13 07:16:49  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:12  baggins
- converted to UTF-8

Revision 1.17  2006/11/26 13:54:11  glen
- rel 2

Revision 1.16  2006/11/26 13:25:03  glen
- rel 1: use php(extension) virtuals

Revision 1.15  2006/04/10 12:35:53  luzik
- updated to 0.19

Revision 1.14  2006/01/04 14:28:54  glen
- use %service to respect skip auto restarts of services

Revision 1.13  2005/12/13 13:58:51  glen
- adapterized (sorted %verify attrs)

Revision 1.12  2005/11/23 19:51:43  luzik
 - updated to snap 2005.11.23

Revision 1.11  2005/10/14 19:54:21  arekm
- pass libdir for snmp libs

Revision 1.10  2005/10/14 19:49:40  arekm
- fix amd64

Revision 1.9  2005/10/14 19:42:08  arekm
- rebuild with new rrdtool

Revision 1.8  2005/07/27 08:58:03  luzik
- updated to 050727 snap
- repaired spec file log
- moved webfiles to datadir
- added crond restart
- doesn't build with rrdtool >= 1.2 (rrdtool issue)

Revision 1.7  2004/11/23 13:03:38  luzik
- updated to 0.18.2
- rel. 1

Revision 1.6  2004/06/30 15:11:43  luzik
- updated to 0.16

Revision 1.5  2004/02/18 08:29:17  blues
- small fixes

Revision 1.4  2004/02/17 15:02:59  mwinkler
- fixes for apache1

Revision 1.3  2004/02/17 11:23:24  ankry
- fixed bogus changelog

Revision 1.2  2004/02/17 11:22:03  ankry
- more complete pl description

Revision 1.1  2004/02/17 10:18:53  luzik
- initial release
